About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. JobProfiles
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
        GET
      • Get JobProfile with Skills By JobProfileId
        GET
      • Create JobCode
        POST
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. JobProfiles

Get JobProfile with Skills By JobProfileId

GET
/job-profiles/{jobProfileId}
Retrieves detailed information about a specific job profile identified by jobProfileId. This includes metadata such as the job role, department, location, experience requirements, associated taxonomy skills, and organizational context (e.g., job family, sector). The endpoint is primarily used for job profile management, skill alignment, employee-role matching, and organizational design.

Request

Path Params

Header Params

Responses

🟢200OK
text/plain
OK
Bodytext/plain

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.skillsintelligence.imocha.io/job-profiles/{jobprofileid}' \
--header 'x-api-key;'
Response Response Example
{
  "jobProfileId": 0,
  "jobProfileName": "string",
  "jobCode": {
    "id": 0,
    "name": "string"
  },
  "jobRole": {
    "id": 0,
    "name": "string",
    "skillFramework": 1,
    "jobFamily": {
      "id": 0,
      "name": "string"
    },
    "sector": {
      "id": 0,
      "name": "string"
    }
  },
  "location": {
    "id": 0,
    "name": "string"
  },
  "status": 1,
  "jobDescription": {
    "description": "string",
    "explanation": "string"
  },
  "grade": {
    "id": 0,
    "name": "string"
  },
  "department": {
    "id": 0,
    "name": "string"
  },
  "publishedOn": "2025-09-04T06:53:06.380Z",
  "isAssigned": true,
  "yearOfExperience": {
    "from": 0,
    "to": 0
  },
  "jobProfileTaxonomySkills": [
    {
      "jobProfileSkillId": 0,
      "taxonomySkillId": 0,
      "taxonomySkillExternalId": "string",
      "skillId": 0,
      "skillName": "string",
      "description": "string",
      "explanation": "string",
      "jobProfileSkillSource": 1,
      "skillClassification": {
        "classificationId": 0,
        "classificationName": "string"
      },
      "priority": 0,
      "isCritical": false,
      "proficiency": 0,
      "action": 0
    }
  ]
}
Modified at 2025-12-01 06:50:43
Previous
Get All JobProfiles
Next
Create JobCode
Built with